Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.estimation
Interface EstimationProblem

All Known Implementing Classes:
  SimpleEstimationProblem

Deprecated. as of 2.0, everything in package org.apache.commons.math.estimation has been deprecated and replaced by package org.apache.commons.math.optimization.general

    @Deprecated
    public interface EstimationProblem

This interface represents an estimation problem.

This interface should be implemented by all real estimation problems before they can be handled by the estimators through the `Estimator.estimate` method.

An estimation problem, as seen by a solver is a set of parameters and a set of measurements. The parameters are adjusted during the estimation through the `getUnboundParameters` and `EstimatedParameter.setEstimate` methods. The measurements both have a measured value which is generally fixed at construction and a theoretical value which depends on the model and hence varies as the parameters are adjusted. The purpose of the solver is to reduce the residual between these values, it can retrieve the measurements through the `getMeasurements` method.

Since:
  1.2
Version:
  $Revision: 811786 $ $Date: 2009-09-06 11:36:08 +0200 (dim. 06 sept. 2009) $
See Also:
  `Estimator`, `WeightedMeasurement`

Method Summary
`EstimatedParameter[]` | `getAllParameters()` Deprecated. Get all the parameters of the problem.
`WeightedMeasurement[]` | `getMeasurements()` Deprecated. Get the measurements of an estimation problem.
`EstimatedParameter[]` | `getUnboundParameters()` Deprecated. Get the unbound parameters of the problem.

Method Detail

### getMeasurements

    WeightedMeasurement[] getMeasurements()

  Deprecated.
  Get the measurements of an estimation problem.

  Returns:
    measurements

### getUnboundParameters

    EstimatedParameter[] getUnboundParameters()

  Deprecated.
  Get the unbound parameters of the problem.

  Returns:
    unbound parameters

### getAllParameters

    EstimatedParameter[] getAllParameters()

  Deprecated.
  Get all the parameters of the problem.

  Returns:
    parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.